Low Cost PCB's Low Cost Components

Author Topic: is it possible to *import* from v3.5 ?  (Read 3219 times)

0 Members and 1 Guest are viewing this topic.

Offline legacy

  • Super Contributor
  • ***
  • Posts: 2596
is it possible to *import* from v3.5 ?
« on: November 08, 2016, 05:03:43 AM »
hi guys
I have a project made with EagleCad v3.55
and I can't open it with my v6

is there a way to import it into a modern version of EagleCad?
« Last Edit: November 11, 2016, 05:56:29 AM by legacy »
 

Offline pelule

  • Frequent Contributor
  • **
  • Posts: 392
  • Country: de
  • Business? Very simple: it’s other people’s money
Re: is it possible to from v3.5 ?
« Reply #1 on: November 08, 2016, 06:14:36 AM »
By default Eagle would impport earlier versions and tranmit them into the new version (so it may wise to save a backup).
If Eagle is not able to open, you would get an error message and error log file.
You will learn something new every single day
 

Offline jgarc063

  • Regular Contributor
  • *
  • Posts: 77
  • Country: us
Re: is it possible to from v3.5 ?
« Reply #2 on: November 08, 2016, 06:29:01 AM »
Hello legacy,

I hope you're doing well. EAGLE V6 can open V3.55 files, however there is one Caveat. If you are running on a Mac, then the old file must first be opened on a Windows Machine with EAGLE V5 or newer. Save the file and then transfer it to your Mac. It should work then.

I'm assuming a lot here, so let me know which of my assumptions are wrong.

Best Regards,
Jorge Garcia
 

Offline legacy

  • Super Contributor
  • ***
  • Posts: 2596
Re: is it possible to *import* from v3.5 ?
« Reply #3 on: November 11, 2016, 06:00:43 AM »
Mac

yes, I am on MacOSX Lion with EagleCAD v6.4.0
it is refusing to open the project  :-//

I am going to ask a friend who has it for Windows
 

Offline timb

  • Super Contributor
  • ***
  • Posts: 2420
  • Country: us
  • Pretentiously Posting Polysyllabic Prose
    • timb.us
Re: is it possible to *import* from v3.5 ?
« Reply #4 on: November 11, 2016, 10:04:06 AM »
Mac

yes, I am on MacOSX Lion with EagleCAD v6.4.0
it is refusing to open the project  :-//

I am going to ask a friend who has it for Windows

You might look into VMware Fusion. It's pretty easy to use. It's always helpful to have a Windows VM around. (I've got older versions of Fusion that will run on Lion if the current version won't.)

Also, feel free to send me a PM with a link to the file and I'll open/save it in Windows for you.
Any sufficiently advanced technology is indistinguishable from magic; e.g., Cheez Whiz, Hot Dogs and RF.
 

Offline Josephine85

  • Contributor
  • Posts: 32
Re: is it possible to *import* from v3.5 ?
« Reply #5 on: December 23, 2016, 07:24:19 PM »
You´ll find some informations about that in the FAQ (http://cadsoft.io/support/faq/#0).:

"System Requirements for EAGLE: Mac: Mac OS X version 10.8 or above for Intel computer."

"UPDATE File: The EAGLE installation comes with a file named UPDATE.txt (Windows) or UPDATE (Linux, Mac) in the eagle/doc directory. This file reports about all changes made between specific releases. Should it be the case that you experience, for example after an update, some trouble with one of your usual operations in EAGLE, the reason could be some changing in the EAGLE program that ought to be documented in this file. New features and, if so, bugfixes are documented as well."

"Can I use my old EAGLE files in the newest version?

Files from Version 2.6 and newer
EAGLE files from version 2.6 and newer can be loaded directly into the new EAGLE release. The data format is converted automatically. Since version 6.0.0 EAGLE uses a readable XML data structure."

If youre still having troubles maybe contact the support team.

Best regards,
 

Offline technotronix

  • Regular Contributor
  • *
  • Posts: 209
  • Country: us
    • PCB Assembly
Re: is it possible to *import* from v3.5 ?
« Reply #6 on: December 30, 2016, 06:49:33 PM »
I think the newer version of eagle should support the older version. If it does not happen with you, there may some other technical issues.
 

Offline richardlawson1489

  • Regular Contributor
  • *
  • Posts: 125
  • Country: us
    • PCB Assembly
Re: is it possible to *import* from v3.5 ?
« Reply #7 on: February 01, 2017, 08:41:31 PM »
Seems there is some error when you have download Eagle 6. Try to download it again. http://eagle.software.informer.com/6.0/
 

Offline ebastler

  • Super Contributor
  • ***
  • Posts: 1165
  • Country: de
Re: is it possible to *import* from v3.5 ?
« Reply #8 on: February 01, 2017, 09:18:58 PM »
Seems there is some error when you have download Eagle 6. Try to download it again. http://eagle.software.informer.com/6.0/

This is a red herring, I think. Seems pretty clear from the above thread that the problem occurred when the OP tried to open the old file on Eagle 6 running on a Mac. As per jgarc063's post, that does not work, and it is necessary to open and save the file from a Windows version of Eagle first.
 

Offline westfw

  • Super Contributor
  • ***
  • Posts: 2330
  • Country: us
Re: is it possible to *import* from v3.5 ?
« Reply #9 on: February 24, 2017, 08:55:15 AM »
Quote
I am on MacOSX Lion with EagleCAD v6.4.0
Ah.  For some reason, the MacOS version was never able to import files as old as the windows version.

I recently did the exercise of doing Eagle6/MicroXP/VirtualBox and manually updating all of my ancient schematics, just in case.
MicroXP/Eagle6 in one window, Mac EAGLE7 in another.  Sharing the Eagle Project folder.   Try to open the file in the Mac version; if it fails, open in the Windows version instead, make a trivial change, save...

It worked fine.   A PITA, but I didn't have quite enough old files to work on automating the process at all, especially given that Cadsoft wouldn't tell me how to detect old file versions...  It might have been worse if I had any designs that exceeded the limits of the freeware version.

(MicroXP is pretty neat, and I'm pleased that all old versions of Eagle seem to run on it.)
 

Offline macegr

  • Contributor
  • Posts: 45
  • Country: us
Re: is it possible to *import* from v3.5 ?
« Reply #10 on: February 26, 2017, 10:32:09 AM »
The reason for problems opening old files on Mac...the Mac version came along later in revision numbers, and never had the legacy code in it that understood the older files. They're basically just leaving old-format code in successive builds; that code was never written for Mac if you go back to an old enough file. I've had to do the same dance.
 

Offline westfw

  • Super Contributor
  • ***
  • Posts: 2330
  • Country: us
Re: is it possible to *import* from v3.5 ?
« Reply #11 on: February 26, 2017, 10:31:23 PM »
As a Mac user, I've been very pleased with CadSoft.  I first started using EAGLE running on a linux system via X11 from my Mac, which was ... less than wonderful.   The first Mac version was essentially the linux version set up to run "natively" on the Mac, but still using X11 for the display; I thought that was a really clever and "easy" way to get something running on a Mac (assuming you already had it running on linux under X11.)   The version after that had a native Mac GUI...

(Some vendors are getting clever/sneaky about "Mac support."  The latest version of Simplicity Studio (Silicon Labs) runs on Mac - the download includes its own private copy of Wine :-)  Personally, I think that's a fine compromise for most SW engineering apps.   I wish more vendors would do it.)
 

Offline Monkeh

  • Super Contributor
  • ***
  • Posts: 5067
  • Country: gb
Re: is it possible to *import* from v3.5 ?
« Reply #12 on: February 27, 2017, 04:06:14 AM »
The latest version of Simplicity Studio (Silicon Labs) runs on Mac - the download includes its own private copy of Wine :-)  Personally, I think that's a fine compromise for most SW engineering apps.   I wish more vendors would do it.)

Which is only really necessary because the toolchain vendors won't make them crossplatform. *cough*keil*cough*
 

Offline Deridex

  • Regular Contributor
  • *
  • Posts: 68
  • Country: de
Re: is it possible to *import* from v3.5 ?
« Reply #13 on: February 27, 2017, 04:33:58 PM »
Version 6.5 in Windows is able to import version 4.3 files. So i guess it might work with older version-files too.
 


Share me

Digg  Facebook  SlashDot  Delicious  Technorati  Twitter  Google  Yahoo
Smf